#if !defined(AFX_GAMMAMANAGERDLG_H__67F12CB9_5AB5_467C_9F83_960EF669AFA1__INCLUDED_)
#define AFX_GAMMAMANAGERDLG_H__67F12CB9_5AB5_467C_9F83_960EF669AFA1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "HyperLink.h"
#define WM_TRAY_MESSAGE (WM_USER + 1)		//Die Message kommt an, wenn man aufs Trayicon klickt

class CGammaManagerDlg : public CDialog
{
public:
	CGammaManagerDlg(CWnd* pParent = NULL);	// Standard Konstruktor
	void OnHotKey(WPARAM, LPARAM);			//Wenn ein Hotkey bettigt wird
	void SetGamma(float);					//Setzt die Gamma
	void SetHz(UINT, DWORD, DWORD, DWORD);	//Setzt die Frequenz, Farbtiefe und Auflsung
	void MinimizeToTray();					//Minimieren und Trayicon anzeigen
	void MaximizeFromTray();				//wieder Maximieren, Trayicon lschen
	BOOL Autostart(CString);				//schreibt in den Autostart-Pfad der Registry
		
	CString GetSteamPfad(void);				//Steampfad aus der Registry lesen
	bool GetSteamResolution(DWORD*, DWORD*, DWORD*);//Spielauflsung und -farbtiefe aus der Registry lesen
	CString GetSteamParameter(TCHAR*);		//Commandlineparameter in Steamparameter umwandeln
			
	enum { IDD = IDD_GAMMAMANAGER_DIALOG };
	CHyperLink m_HyperLink1;
	CHyperLink m_HyperLink2;
	CString m_sResolution;
	CString m_sHotkey;

	NOTIFYICONDATA Trayicon;	//Trayicon struct
	bool m_bMinimized;
	bool m_bStartupvisible;		//fr -tray
	bool m_bAutoresetGamma;		//fr -autoreset
	bool m_bInstantaction;		//automatisch Steam + Mod starten
	float m_fGammastep;			//Gamma Schrittweite
	BOOL m_bAutostart;
	
	protected:

protected:
	HICON m_hIcon;
	
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();
	virtual void OnCancel();									//Wenn im Dialog Escape gedrckt wird
	virtual void OnOK();										//Wenn im Dialog Return gedrckt wird
	afx_msg void OnWindowPosChanging(WINDOWPOS* lpwndpos);		//Workaround, um minimiert zu starten
	afx_msg void OnSize(UINT, int, int);						//wird beim minimieren und maximieren aufgerufen
	afx_msg void OnPaint();
	afx_msg void OnAutostart();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();										//eigentlich nur zum aufrumen ...
	afx_msg void OnTrayNotify(WPARAM wParam, LPARAM lParam);	//beim Klick auf das Trayicon
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_GAMMAMANAGERDLG_H__67F12CB9_5AB5_467C_9F83_960EF669AFA1__INCLUDED_)
