#include "stdafx.h"
#include "GammaManager.h"
#include "GammaManagerDlg.h"
#include <math.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CGammaManagerApp, CWinApp)
END_MESSAGE_MAP()

void CGammaManagerApp::SetGamma(float Gamma)	//Setzt die Gamma auf allen angeschlossenen Monitoren
{
	WORD ramp[256*3];

	for(int i = 0; i < 256; i++) {
		ramp[i] = ramp[i+256] = ramp[i+512] = 
		(WORD)min(65535, max(0, pow((i+1) / 256.0, Gamma) * 65535 + 0.5));
	}
    SetDeviceGammaRamp(::GetDC(NULL), ramp);
}

CGammaManagerApp::CGammaManagerApp()
{
}

CGammaManagerApp GammaControl;

//Dialogklasse erzeugen, ausser bei "kill" Parameter
BOOL CGammaManagerApp::InitInstance()
{
	LPTSTR sParameter = GetCommandLine();	// Extra nochmal fr "-kill" ...

	if ((strstr(sParameter, "kill") != NULL)) 
	{
		if (strstr(sParameter, "autoreset") != NULL || (strstr(sParameter, "gamma0") != NULL)) 
			SetGamma(1.00);

		CWnd *fensterhandle;
		fensterhandle = CWnd::FindWindow(NULL, "cstrike.de - GammaControl");

		while (fensterhandle != NULL)
			{
				fensterhandle->PostMessage(WM_CLOSE);
				fensterhandle = CWnd::FindWindow(NULL, "cstrike.de - GammaControl");
			}	
		return FALSE;
	}

	else 
	{
		CGammaManagerDlg GammaControlDialog;	//Hauptfenster anzeigen
		GammaControlDialog.DoModal();
		return FALSE;
	}
}
